<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="/webjars/bootstrap/5.3.3/css/bootstrap.min.css"/>
    <title>Register</title>
</head>
<body>
<div class="container text-center">
    <div>
        <h1>Registration</h1>
    </div>
    <form th:action="@{/process_register}" method="post"
          style="max-width: 600px; margin: 0 auto;"
          th:object="${user}"
    >
        <div class="m-3">
            <div class="row mb-3">
                <div class="col-4">
                    <label class="col-form-label">Email</label>
                </div>
                <div class="col-8">
                    <input type="email" class="form-control mb-3" th:field="*{email}" required/>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-4">
                    <label class="col-form-label">Name</label>
                </div>
                <div class="col-8">
                    <input type="text" class="form-control mb-3" th:field="*{username}" required/> <!-- Added mb-3 class for margin-bottom -->
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-4">
                    <label class="col-form-label">Password</label>
                </div>
                <div class="col-8">
                    <input type="password" class="form-control mb-3" th:field="*{password}" required minlength="6"/> <!-- Added mb-3 class for margin-bottom -->
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <button type="submit" class="btn btn-primary">Sign Up</button>
                </div>
            </div>
        </div>
    </form>
</div>
</body>
</html>
